> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create customer

POST https://integrators.prod.api.tabsplatform.com/v3/customers
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/createCustomer

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers:
    post:
      operationId: integrators-api-customers-controller-create-customer
      summary: Create customer
      tags:
        - customers
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Created customer
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_createCustomer_Response_202
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerV3Dto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    CreateAddressV3Dto:
      type: object
      properties:
        line1:
          type: string
          description: Primary street address
        line2:
          type: string
          description: Secondary address line (apt, suite, etc)
        postalCode:
          type: string
          description: Postal/ZIP code
        city:
          type: string
          description: City name
        state:
          type: string
          description: State/province name
        country:
          type: string
          description: Country Code
        addressee:
          type: string
          description: Name of recipient/addressee
      required:
        - line1
        - postalCode
        - city
        - state
      title: CreateAddressV3Dto
    CreateCustomerV3DtoDefaultCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - XSU
        - XTS
        - XUA
        - XXX
        - YER
        - ZAR
        - ZMW
        - ZWG
        - ZWL
      description: Default currency code for the customer, if omitted will default to USD
      title: CreateCustomerV3DtoDefaultCurrency
    CreateCustomerErpCustomFieldV3Dto:
      type: object
      properties:
        customFieldKey:
          type: string
          description: The NetSuite custom field key
        customFieldValue:
          type: string
          description: The value to set for the custom field
      required:
        - customFieldKey
        - customFieldValue
      title: CreateCustomerErpCustomFieldV3Dto
    CreateCustomerTaxInfoV3Dto:
      type: object
      properties:
        vatId:
          type: string
          description: VAT identifier
        ein:
          type: string
          description: EIN identifier
        isTaxExempt:
          type: boolean
          description: Whether customer is tax exempt
      title: CreateCustomerTaxInfoV3Dto
    CreateCustomerV3Dto:
      type: object
      properties:
        name:
          type: string
          description: Preferred company name
        companyName:
          type: string
          description: Legal company name
        primaryBillingContactEmail:
          type: string
          description: Email of primary billing contact
        billingAddress:
          $ref: '#/components/schemas/CreateAddressV3Dto'
          description: Customer's billing address
        shippingAddress:
          $ref: '#/components/schemas/CreateAddressV3Dto'
          description: Customer's shipping address
        defaultCurrency:
          $ref: '#/components/schemas/CreateCustomerV3DtoDefaultCurrency'
          description: >-
            Default currency code for the customer, if omitted will default to
            USD
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CreateCustomerErpCustomFieldV3Dto'
          description: >-
            Custom fields to pass during customer creation (NetSuite only). Each
            field key should match the internal field id.
        customerTaxInfo:
          $ref: '#/components/schemas/CreateCustomerTaxInfoV3Dto'
          description: Customer tax information
      required:
        - name
      title: CreateCustomerV3Dto
    Customers_IntegratorsApiCustomersController_createCustomer_Response_202:
      type: object
      properties: {}
      description: Empty response body
      title: Customers_IntegratorsApiCustomersController_createCustomer_Response_202
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "name": "Acme Inc."
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers"

payload = { "name": "Acme Inc." }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Acme Inc."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers"

	payload := strings.NewReader("{\n  \"name\": \"Acme Inc.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Acme Inc.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/customers")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Acme Inc.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/customers', [
  'body' => '{
  "name": "Acme Inc."
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Acme Inc.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Acme Inc."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```